Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.pipeline
Class FieldExpansionTransformation

    java.lang.Object
      org.apache.avalon.framework.logger.AbstractLogEnabled
          org.apache.cocoon.xml.AbstractXMLProducer
              org.apache.cocoon.xml.AbstractXMLPipe
                  fr.gouv.culture.sdx.utils.xml.AbstractSdxXMLPipe
                      fr.gouv.culture.sdx.pipeline.AbstractTransformation
                          fr.gouv.culture.sdx.pipeline.FieldExpansionTransformation

All Implemented Interfaces:
  org.apache.avalon.framework.configuration.Configurable, org.xml.sax.ContentHandler, org.apache.avalon.framework.context.Contextualizable, Describable, Encodable, Identifiable, org.xml.sax.ext.LexicalHandler, Localizable, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.excalibur.pool.Poolable, org.apache.avalon.excalibur.pool.Recyclable, SdxObject, org.apache.avalon.framework.service.Serviceable, Transformation, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.cocoon.xml.XMLConsumer, org.apache.excalibur.xml.sax.XMLizable, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer

public class FieldExpansionTransformation
extends AbstractTransformation

OK Give it a try, after your stylesheet transformation for generation an sdx indexation document This transformation is higly dependent on the properties object passed to the pipeline at configuration time. To make it less dependent, one should provide an "Application" object from which the class can access any needed thesaurus, and a "FieldList" object from which text analysis can be done

Nested Class Summary

Nested classes inherited from class fr.gouv.culture.sdx.utils.SdxObject
`SdxObject.ConfigurationNode`

Field Summary
`protected Application` | `app`
`protected java.lang.StringBuffer` | `charBuff`
`protected java.lang.String` | `defaultThesaurusId`
`protected java.util.HashSet` | `expandedTerms`
`protected java.util.Hashtable` | `expansionParams`
`protected java.lang.String` | `fieldName`
`protected FieldList` | `fields`
`protected java.lang.String` | `PARAM_NAME_DEPTH`
`protected java.lang.String` | `PARAM_NAME_LANG`
`protected java.lang.String` | `PARAM_NAME_TH`
`protected SDXThesaurus` | `thesaurus`

Fields inherited from class fr.gouv.culture.sdx.pipeline.AbstractTransformation
`PARAMETER_NAME_DISABLE, PARAMETER_NAME_ENABLE, parameters, transParameters`

Fields inherited from class fr.gouv.culture.sdx.utils.xml.AbstractSdxXMLPipe
`_configuration, _context, _description, _encoding, _id, _locale, _logger, _manager, _xmlizable_objects, _xmlLang, isToSaxInitialized`

Fields inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`contentHandler, lexicalHandler, xmlConsumer`

Fields inherited from interface fr.gouv.culture.sdx.pipeline.Transformation
`ATTRIBUTE_KEEP, ATTRIBUTE_SRC, ATTRIBUTE_TH, CLASS_NAME_SUFFIX, PACKAGE_QUALNAME`

Fields inherited from interface fr.gouv.culture.sdx.utils.Encodable
`DEFAULT_ENCODING`

Constructor Summary
`FieldExpansionTransformation()`

Method Summary
`void` | `characters(char[] c, int start, int len)`
`void` | `configure(org.apache.avalon.framework.configuration.Configuration configuration)` Loads base configuration common to all transformations.
`void` | `endElement(java.lang.String uri, java.lang.String loc, java.lang.String raw)`
`protected void` | `expandField(java.lang.String fieldName, java.lang.String fieldValue, java.util.Hashtable expansionParams)`
`protected boolean` | `initToSax()` Init the DefaultContext class _xmlizable_objects with the objects in order to describ them in XML
`void` | `setApplication(Application app)`
`void` | `setFieldList(FieldList fields)`
`void` | `setThesaurus(SDXThesaurus thesaurus)`
`void` | `setThesaurus(java.lang.String id)`
`void` | `startElement(java.lang.String uri, java.lang.String loc, java.lang.String raw, org.xml.sax.Attributes a)`

Methods inherited from class fr.gouv.culture.sdx.pipeline.AbstractTransformation
`getClassNameSuffix, getParameters, initVolatileObjectsToSax, isStepEnabled, recycle, setParameters, shouldKeepResult, verifyConfigurationParameters`

Methods inherited from class fr.gouv.culture.sdx.utils.xml.AbstractSdxXMLPipe
`configureDescription, contextualize, enableLogging, getBaseAttributes, getConfiguration, getContext, getDescription, getEncoding, getId, getLocale, getLog, getServiceManager, getXmlLang, service, setDescription, setEncoding, setId, setLocale, setUpSdxObject, setUpSdxObject, setXmlLang, toSAX, verifyConfigurationResources`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLPipe
`comment, endCDATA, endDocument, endDTD, endEntity, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startPrefixMapping`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`setConsumer, setContentHandler, setLexicalHandler`

Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
`getLogger, setupLogger, setupLogger, setupLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`endDocument, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Methods inherited from interface fr.gouv.culture.sdx.utils.SdxObject
`getLog`

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface org.apache.avalon.framework.service.Serviceable
`service`

Methods inherited from interface fr.gouv.culture.sdx.utils.Identifiable
`getId, setId`

Methods inherited from interface fr.gouv.culture.sdx.utils.Describable
`getDescription, setDescription`

Methods inherited from interface fr.gouv.culture.sdx.utils.Encodable
`getEncoding, setEncoding`

Methods inherited from interface fr.gouv.culture.sdx.utils.Localizable
`getLocale, getXmlLang, setLocale, setXmlLang`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Field Detail

### thesaurus

    protected SDXThesaurus thesaurus

### defaultThesaurusId

    protected java.lang.String defaultThesaurusId

### PARAM_NAME_DEPTH

    protected java.lang.String PARAM_NAME_DEPTH

### PARAM_NAME_LANG

    protected java.lang.String PARAM_NAME_LANG

### PARAM_NAME_TH

    protected java.lang.String PARAM_NAME_TH

### charBuff

    protected java.lang.StringBuffer charBuff

### fieldName

    protected java.lang.String fieldName

### expansionParams

    protected java.util.Hashtable expansionParams

### expandedTerms

    protected java.util.HashSet expandedTerms

### app

    protected Application app

### fields

    protected FieldList fields

Constructor Detail

### FieldExpansionTransformation

    public FieldExpansionTransformation()

Method Detail

### setApplication

    public void setApplication(Application app)

### setFieldList

    public void setFieldList(FieldList fields)

### setThesaurus

    public void setThesaurus(SDXThesaurus thesaurus)

### setThesaurus

    public void setThesaurus(java.lang.String id)
                      throws SDXException

  Throws:
    `SDXException`

### configure

    public void configure(org.apache.avalon.framework.configuration.Configuration configuration)
                   throws org.apache.avalon.framework.configuration.ConfigurationException

  Description copied from class: `AbstractTransformation`
  Loads base configuration common to all transformations. Currently loads the id from the configuraion object. It will eventually load the optional "keep" parameter which is used to specify that the results of the transformation should be retained.

  Specified by:
    `configure` in interface `org.apache.avalon.framework.configuration.Configurable`
  Overrides:
    `configure` in class `AbstractTransformation`
  Parameters:
    `configuration` - The configuration object
  Throws:
    `org.apache.avalon.framework.configuration.ConfigurationException`

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String loc,
                             java.lang.String raw,
                             org.xml.sax.Attributes a)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### characters

    public void characters(char[] c,
                           int start,
                           int len)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String loc,
                           java.lang.String raw)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### expandField

    protected void expandField(java.lang.String fieldName,
                               java.lang.String fieldValue,
                               java.util.Hashtable expansionParams)
                        throws SDXException,
                               org.xml.sax.SAXException

  Throws:
    `SDXException`
    `org.xml.sax.SAXException`

### initToSax

    protected boolean initToSax()

  Description copied from class: `AbstractSdxXMLPipe`
  Init the DefaultContext class _xmlizable_objects with the objects in order to describ them in XML

  Overrides:
    `initToSax` in class `AbstractTransformation`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.